Skip to content

Return active responsibility assignments for one readable board item.

GET
/api/workspace/boards/{boardIdOrKey}/items/{boardItemId}/responsibilities
curl --request GET \
--url https://example.com/api/workspace/boards/example/items/example/responsibilities
  • None
boardIdOrKey
required
string
boardItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Item and status responsibility assignments for one board item.

object
BoardItemId
string
nullable
ItemResponsibilities
Array<object>
nullable

Concrete responsibility assignment subject displayed in runtime responses.

object
Id
string
nullable
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
Source
integer format: int32
Allowed values: 0 1 2
ActiveFromUtc
string format: date-time
ActiveToUtc
string format: date-time
nullable
ClosedReason
integer format: int32
Allowed values: 0 1 2 3 4
RowVersion
string format: uuid
StatusResponsibilities
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ItemResponsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0,
"Source": 0,
"ClosedReason": 0
}
],
"StatusResponsibilities": [
{
"SubjectType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Item and status responsibility assignments for one board item.

object
BoardItemId
string
nullable
ItemResponsibilities
Array<object>
nullable

Concrete responsibility assignment subject displayed in runtime responses.

object
Id
string
nullable
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
Source
integer format: int32
Allowed values: 0 1 2
ActiveFromUtc
string format: date-time
ActiveToUtc
string format: date-time
nullable
ClosedReason
integer format: int32
Allowed values: 0 1 2 3 4
RowVersion
string format: uuid
StatusResponsibilities
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ItemResponsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0,
"Source": 0,
"ClosedReason": 0
}
],
"StatusResponsibilities": [
{
"SubjectType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Item and status responsibility assignments for one board item.

object
BoardItemId
string
nullable
ItemResponsibilities
Array<object>
nullable

Concrete responsibility assignment subject displayed in runtime responses.

object
Id
string
nullable
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
Source
integer format: int32
Allowed values: 0 1 2
ActiveFromUtc
string format: date-time
ActiveToUtc
string format: date-time
nullable
ClosedReason
integer format: int32
Allowed values: 0 1 2 3 4
RowVersion
string format: uuid
StatusResponsibilities
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ItemResponsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0,
"Source": 0,
"ClosedReason": 0
}
],
"StatusResponsibilities": [
{
"SubjectType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}